安装mplayer出现如下问题,菜鸟一个

为当前最终发行版之前的所有版本提供支持
回复
skzr813
帖子: 7
注册时间: 2011-04-01 7:59
送出感谢: 0
接收感谢: 0

安装mplayer出现如下问题,菜鸟一个

#1

帖子 skzr813 » 2011-04-19 7:23

zr@zr-Presario-V3500-Notebook-PC:~$ sudo apt-get install mplayer
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列软件包有未满足的依赖关系:
mplayer : 依赖: libaudio2 但是它将不会被安装
依赖: libesd0 (>= 0.2.35) 但是它将不会被安装
依赖: liblzo2-2 但是它将不会被安装
依赖: libmp3lame0 但是它将不会被安装
依赖: libopenal1 但是它将不会被安装
依赖: libsvga1 但是它将不会被安装
依赖: libvdpau1 (>= 0.2) 但是它将不会被安装
依赖: libx264-98 但是它将不会被安装
依赖: libxvidcore4 (>= 1.2.2) 但是它将不会被安装
sun-java6-jre : 依赖: sun-java6-bin (>= 6.24-1build0.10.10.1) 但是它将不会被安装 或
ia32-sun-java6-bin (>= 6.24-1build0.10.10.1) 但无法安装它
推荐: gsfonts-x11 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。

请问这是什么意思,是不是有什么软件我没有安装,最后那个我有点不明白,sun java 6 我是昨天安装了到,特地加了一个第三方开源地址,问下这个问题怎么解决啊,以后遇到这样到问题,怎么知道要安哪个软件包呢
头像
goldfox_79
帖子: 1937
注册时间: 2005-10-16 8:26
来自: 地球
送出感谢: 0
接收感谢: 1 次
联系:

Re: 安装mplayer出现如下问题,菜鸟一个

#2

帖子 goldfox_79 » 2011-04-19 7:51

确信添加的第三方源正确么
skzr813
帖子: 7
注册时间: 2011-04-01 7:59
送出感谢: 0
接收感谢: 0

Re: 安装mplayer出现如下问题,菜鸟一个

#3

帖子 skzr813 » 2011-04-19 21:18

goldfox_79 写了:确信添加的第三方源正确么
貌似是这个问题今天卸载sun java 也卸载不了了,呜呜
回复

回到 “老旧版本支持”